@echo off
setlocal

REM Einstellbares Intervall in Sekunden
set "Intervall=60"

REM Dateiname für die CSV-Datei
set "LogDatei=ping.csv"

REM Schreibe die CSV-Header-Zeile, falls die Datei neu erstellt wird
if not exist "%LogDatei%" echo "Uhrzeit","Ping[ms]" >> "%LogDatei%"
echo  Datum + Uhrzeit  Ping[ms]
echo -------------------------

:PingLoop
REM Holen der aktuellen Zeit und Datum
for /f "tokens=1-3 delims=:," %%a in ("%time%") do (
    set "Stunde=%%a"
    set "Minute=%%b"
    set "Sekunde=%%c"
)
set "AktuelleUhrzeit=%Stunde%:%Minute%:%Sekunde%"

REM Führe den Ping aus und speichere die Zeit in einer Variablen
for /f "tokens=7 delims== " %%a in ('ping -n 1 google.de ^| find "Zeit="') do (
    set "PingTime=%%a"
)

REM Entferne "ms" aus der Ping-Zeit
set "PingTime=%PingTime:ms=%"

REM Schreibe das Ergebnis in die CSV-Datei
echo "%date% %AktuelleUhrzeit%","%PingTime%" >> "%LogDatei%"
echo %date% %AktuelleUhrzeit%, %PingTime%

REM Warte für das eingestellte Intervall
ping 127.0.0.1 -n %Intervall% >NUL

REM Gehe zurück zur Ping-Schleife
goto PingLoop